Contents

Visual Similarity Duplicate Image Finder v6.0.0.1

Copyright (c) 2004-2015 MindGems, Inc.

Visit our website:

http://www.mindgems.com


Overview
Visual Similarity Duplicate Image Finder main goal is to help you find fast all similar and duplicate images in a folder and its subfolders. You can specify a percent of image similarity - about 95% is a good choice. You can also choose fast hash or file size algorithms which are non-visual. When the scan process is finished the program shows you all images with duplicates and can automatically mark the smaller resolution and/or smaller filesize images for deletion. And with a couple of mouse clicks you can get rid off all duplicate images and save valuable disk space. It supports many image formats as well as RAW digital photos, has an intuitive user interface and is well documented. RAW digital images and HDPhoto images are supported only in Pro and Corporate versions of the software. DICOM images are supported only in the Corporate version. You can always use the DEMO version if you want to try this feature.


Features

Visual Similarity Duplicate Image Finder is a powerful utility for finding similar and duplicate images in a folder and all its subfolders. It has the following features:

  • Find all similar and duplicate images in user specified folders using visual compare
  • Search for duplicate images of user specified sample images using visual compare
  • Find exact duplicate image files using fast hash algorithm
  • Find possible duplicate images by a time difference in EXIF original date time
  • Find rotated at 90°, 180°, 270°, flipped horizontal and/or vertical and graycaled duplicates
  • User can adjust the percent of image similarity
  • Smaller resolution duplicates can be automatically marked for deletion
  • Smaller file size duplicates can be automatically marked for deletion
  • Older files can be automatically marked for deletion
  • Show preview for original and duplicate images
  • Powerful filter and exclude from auto-check options
  • Powerful Quick Check/Uncheck dialog
  • Duplicate images can be moved to Recycle Bin, custom folder or deleted permanently
  • Supports many image file formats and RAW camera images (only in Pro and Corporate versions)
  • Has intuitive interface and rich documentation

    • Supported file formats:

  • JPEG Bitmap (*.jpg;*.jpeg;*.jpe)
  • Compuserve Bitmap (*.gif)
  • Portable Network Graphics (*.png)
  • TIFF Bitmap (*.tif;*.tiff;*.fax;*.g3n;*.g3f)
  • JPEG2000 Files (*.jp2)
  • JPEG2000 Code Stream (*.j2k;*.jpc;*.j2c)
  • Targa (*.tga;*.targa;*.vda;*.icb;*.vst;*.pix)
  • Paintbrush (*.pcx)
  • Windows Bitmap (*.bmp;*.dib;*.rle)
  • Windows Metafile (*.wmf)
  • Enhanced Windows Metafile (*.emf)
  • Windows Icon (*.ico)
  • Windows Cursor (*.cur)
  • Wireless Bitmap (*.wbmp)
  • Portable Pixmap (*.pxm;*.ppm)
  • Adobe Photoshop (*.psd)
  • Camera RAW (*.crw; *.cr2; *.nef; *.raw; *.pef; *.raf; *.x3f; *.bay; *.orf; *.srf; *.mrw; *.dcr; *.sr2; *.dng; *.erf; *.mef; *.arw) (only in Pro and Corporate versions)
  • DICOM Images (*.dcm) (only in Corporate version)
  • HDPhoto Images (*.hdp; *.wdp; *.jxr) (only in Pro and Corporate versions)

    • Here's a comparison table of the features of the different registered versions of the program:

    Feature | VSDIF | VSDIF Pro | VSDIF Corporate
Can find similar images |  |  |
Can find exact duplicate images |  |  |
Can find similar and duplicate EXIF tags |  |  |
Can preview images |  |  |
Can use auto-check |  |  |
Can locate files in Windows Explorer |  |  |
Can move/delete duplicate images |  |  |
Can open images with their associated program |  |  |
Can use Quick Check/Uncheck |  |  |
Can save/load projects |  |  |
Can compare folders |  |  |
Can use filter |  |  |
Can automatically delete empty folders |  |  |
Can export results to CSV or XML |  |  |
Can disable folder for self-scan |  |  |
Camera RAW images support |  |  |
HDPhoto images support |  |  |
DICOM images support |  |  |
Can use command-line features |  |  |


Supported Digital Cameras

RAW digital images are supported only in Pro and Corporate versions of the software.
You can always use the DEMO version if you want to try this feature.

Note: Digital cameras not on the list below might be supported too.

  • Adobe Digital Negative (DNG)
  • AgfaPhoto DC-833m
  • Apple QuickTake 100
  • Apple QuickTake 150
  • Apple QuickTake 200
  • AVT F-080C
  • AVT F-145C
  • AVT F-201C
  • AVT F-510C
  • AVT F-810C
  • Canon PowerShot 600
  • Canon PowerShot A5
  • Canon PowerShot A5 Zoom
  • Canon PowerShot A50
  • Canon PowerShot A460
  • Canon PowerShot A470
  • Canon PowerShot A530
  • Canon PowerShot A570
  • Canon PowerShot A590
  • Canon PowerShot A610
  • Canon PowerShot A620
  • Canon PowerShot A630
  • Canon PowerShot A640
  • Canon PowerShot A650
  • Canon PowerShot A710 IS
  • Canon PowerShot A720 IS
  • Canon PowerShot Pro70
  • Canon PowerShot Pro90 IS
  • Canon PowerShot Pro1
  • Canon PowerShot G1
  • Canon PowerShot G2
  • Canon PowerShot G3
  • Canon PowerShot G5
  • Canon PowerShot G6
  • Canon PowerShot G7
  • Canon PowerShot G9
  • Canon PowerShot G10
  • Canon PowerShot G11
  • Canon PowerShot S2 IS
  • Canon PowerShot S3 IS
  • Canon PowerShot S5 IS
  • Canon PowerShot SD300
  • Canon PowerShot S30
  • Canon PowerShot S40
  • Canon PowerShot S45
  • Canon PowerShot S50
  • Canon PowerShot S60
  • Canon PowerShot S70
  • Canon PowerShot S90
  • Canon PowerShot SX1 IS
  • Canon PowerShot SX110 IS
  • Canon EOS D30
  • Canon EOS D60
  • Canon EOS 5D
  • Canon EOS 5D Mark II
  • Canon EOS 7D
  • Canon EOS 10D
  • Canon EOS 20D
  • Canon EOS 30D
  • Canon EOS 40D
  • Canon EOS 50D
  • Canon EOS 300D / Digital Rebel / Kiss Digital
  • Canon EOS 350D / Digital Rebel XT / Kiss Digital N
  • Canon EOS 400D / Digital Rebel XTi / Kiss Digital X
  • Canon EOS 450D / Digital Rebel XSi / Kiss Digital X2
  • Canon EOS 500D / Digital Rebel T1i / Kiss Digital X3
  • Canon EOS 1000D / Digital Rebel XS / Kiss Digital F
  • Canon EOS D2000C
  • Canon EOS-1D
  • Canon EOS-1DS
  • Canon EOS-1D Mark II
  • Canon EOS-1D Mark II N
  • Canon EOS-1D Mark III
  • Canon EOS-1D Mark IV
  • Canon EOS-1Ds Mark II
  • Canon EOS-1Ds Mark III
  • Casio QV-2000UX
  • Casio QV-3000EX
  • Casio QV-3500EX
  • Casio QV-4000 Casio QV-5700
  • Casio QV-R41
  • Casio QV-R51
  • Casio QV-R61
  • Casio EX-S20
  • Casio EX-S100
  • Casio EX-Z4
  • Casio EX-Z50
  • Casio EX-Z55
  • Casio EX-Z60
  • Casio EX-Z75
  • Casio EX-Z750
  • Casio EX-Z850
  • Casio Exlim Pro 505
  • Casio Exlim Pro 600
  • Casio Exlim Pro 700
  • Contax N Digital
  • Creative PC-CAM 600
  • Epson R-D1
  • Foculus 531C
  • Fuji FinePix E550
  • Fuji FinePix E900
  • Fuji FinePix F700
  • Fuji FinePix F710
  • Fuji FinePix F800
  • Fuji FinePix F810
  • Fuji FinePix S2Pro
  • Fuji FinePix S3Pro
  • Fuji FinePix S5Pro
  • Fuji FinePix S20Pro
  • Fuji FinePix S100FS
  • Fuji FinePix S5000
  • Fuji FinePix S5100/S5500
  • Fuji FinePix S5200/S5600
  • Fuji FinePix S6000fd
  • Fuji FinePix S7000
  • Fuji FinePix S9000/S9500
  • Fuji FinePix S9100/S9600
  • Fuji FinePix S200EXR
  • Fuji IS-1
  • Hasselblad CFV
  • Hasselblad H3D
  • Hasselblad V96C
  • Imacon Ixpress 16-megapixel
  • Imacon Ixpress 22-megapixel
  • Imacon Ixpress 39-megapixel
  • ISG 2020x1520
  • Kodak DC20
  • Kodak DC25
  • Kodak DC40
  • Kodak DC50
  • Kodak DC120
  • Kodak DCS200
  • Kodak DCS315C
  • Kodak DCS330C
  • Kodak DCS420
  • Kodak DCS460
  • Kodak DCS460A
  • Kodak DCS520C
  • Kodak DCS560C
  • Kodak DCS620C
  • Kodak DCS620X
  • Kodak DCS660C
  • Kodak DCS660M
  • Kodak DCS720X
  • Kodak DCS760C
  • Kodak DCS760M
  • Kodak EOSDCS1
  • Kodak EOSDCS3B
  • Kodak NC2000F
  • Kodak ProBack
  • Kodak PB645C
  • Kodak PB645H
  • Kodak PB645M
  • Kodak DCS Pro 14n
  • Kodak DCS Pro 14nx
  • Kodak DCS Pro SLR/c
  • Kodak DCS Pro SLR/n
  • Kodak C330
  • Kodak C603
  • Kodak P850
  • Kodak P880
  • Kodak Z980
  • Kodak Z1015
  • Kodak KAI-0340
  • Konica KD-400Z
  • Konica KD-510Z
  • Leaf AFi 7
  • Leaf Aptus 17
  • Leaf Aptus 22
  • Leaf Aptus 54S
  • Leaf Aptus 65
  • Leaf Aptus 75
  • Leaf Aptus 75S
  • Leaf Cantare
  • Leaf CatchLight
  • Leaf CMost
  • Leaf DCB2
  • Leaf Valeo 6
  • Leaf Valeo 11
  • Leaf Valeo 17
  • Leaf Valeo 22
  • Leaf Volare
  • Leica Digilux 2
  • Leica Digilux 3
  • Leica D-LUX2
  • Leica D-LUX3
  • Leica D-LUX4
  • Leica V-LUX1
  • Logitech Fotoman Pixtura
  • Mamiya ZD
  • Micron 2010
  • Minolta RD175
  • Minolta DiMAGE 5
  • Minolta DiMAGE 7
  • Minolta DiMAGE 7i
  • Minolta DiMAGE 7Hi
  • Minolta DiMAGE A1
  • Minolta DiMAGE A2
  • Minolta DiMAGE A200
  • Minolta DiMAGE G400
  • Minolta DiMAGE G500
  • Minolta DiMAGE G530
  • Minolta DiMAGE G600
  • Minolta DiMAGE Z2
  • Minolta Alpha/Dynax/Maxxum 5D
  • Minolta Alpha/Dynax/Maxxum 7D
  • Motorola PIXL
  • Nikon D1
  • Nikon D1H
  • Nikon D1X
  • Nikon D2H
  • Nikon D2Hs
  • Nikon D2X
  • Nikon D2Xs
  • Nikon D3
  • Nikon D3X
  • Nikon D40
  • Nikon D40X
  • Nikon D50
  • Nikon D60
  • Nikon D70
  • Nikon D70s
  • Nikon D80
  • Nikon D90
  • Nikon D100
  • Nikon D200
  • Nikon D300
  • Nikon D300s
  • Nikon D700
  • Nikon D3000
  • Nikon D5000
  • Nikon E700
  • Nikon E800
  • Nikon E880
  • Nikon E900
  • Nikon E950
  • Nikon E990
  • Nikon E995
  • Nikon E2100
  • Nikon E2500
  • Nikon E3200
  • Nikon E3700
  • Nikon E4300
  • Nikon E4500
  • Nikon E5000
  • Nikon E5400
  • Nikon E5700
  • Nikon E8400
  • Nikon E8700
  • Nikon E8800
  • Nikon Coolpix P6000
  • Nikon Coolpix S6
  • Nokia N95
  • Olympus C3030Z
  • Olympus C5050Z
  • Olympus C5060WZ
  • Olympus C7070WZ
  • Olympus C70Z,C7000Z
  • Olympus C740UZ
  • Olympus C770UZ
  • Olympus C8080WZ
  • Olympus X200,D560Z,C350Z
  • Olympus E-1
  • Olympus E-3
  • Olympus E-10
  • Olympus E-20
  • Olympus E-30
  • Olympus E-300
  • Olympus E-330
  • Olympus E-400
  • Olympus E-410
  • Olympus E-420
  • Olympus E-500
  • Olympus E-510
  • Olympus E-520
  • Olympus E-620
  • Olympus E-P1
  • Olympus SP310
  • Olympus SP320
  • Olympus SP350
  • Olympus SP500UZ
  • Olympus SP510UZ
  • Olympus SP550UZ
  • Olympus SP560UZ
  • Olympus SP570UZ
  • Panasonic DMC-FZ8
  • Panasonic DMC-FZ18
  • Panasonic DMC-FZ28
  • Panasonic DMC-FZ30
  • Panasonic DMC-FZ35/FZ38
  • Panasonic DMC-FZ50
  • Panasonic DMC-FX150
  • Panasonic DMC-G1
  • Panasonic DMC-GH1
  • Panasonic DMC-L1
  • Panasonic DMC-L10
  • Panasonic DMC-LC1
  • Panasonic DMC-LX1
  • Panasonic DMC-LX2
  • Panasonic DMC-LX3
  • Pentax *ist D
  • Pentax *ist DL
  • Pentax *ist DL2
  • Pentax *ist DS
  • Pentax *ist DS2
  • Pentax K10D
  • Pentax K20D
  • Pentax K100D
  • Pentax K100D Super
  • Pentax K200D
  • Pentax K2000/K-m
  • Pentax K-x
  • Pentax K-7
  • Pentax Optio S
  • Pentax Optio S4
  • Pentax Optio 33WR
  • Pentax Optio 750Z
  • Phase One LightPhase
  • Phase One H 10
  • Phase One H 20
  • Phase One H 25
  • Phase One P 20
  • Phase One P 25
  • Phase One P 30
  • Phase One P 45
  • Phase One P 45+
  • Pixelink A782
  • Polaroid x530
  • Rollei d530flex
  • RoverShot 3320af
  • Samsung GX-1S
  • Samsung GX-10
  • Samsung S85
  • Samsung S850
  • Sarnoff 4096x5440
  • Sigma SD9
  • Sigma SD10
  • Sigma SD14
  • Sinar 3072x2048
  • Sinar 4080x4080
  • Sinar 4080x5440
  • Sinar STI format
  • SMaL Ultra-Pocket 3
  • SMaL Ultra-Pocket 4
  • SMaL Ultra-Pocket 5
  • Sony DSC-F828
  • Sony DSC-R1
  • Sony DSC-V3
  • Sony DSLR-A100
  • Sony DSLR-A200
  • Sony DSLR-A300
  • Sony DSLR-A330
  • Sony DSLR-A350
  • Sony DSLR-A380
  • Sony DSLR-A500
  • Sony DSLR-A550
  • Sony DSLR-A700
  • Sony DSLR-A850
  • Sony DSLR-A900
  • Sony XCD-SX910CR
  • STV680 VGA


System Requirements

  • Operating system: Windows 8/7/Vista/XP/NT/ME/2000/2003/98
  • CPU: Pentium-233 MHz or higher
  • 128 MB RAM
  • 20 MB free hard disk space
  • True Color display and video card
  • Mouse or other pointing device

            •


Installation

Installation And Uninstallation
Installation:

Run the executable file and follow the prompts.

Uninstallation:

To remove Visual Similarity Duplicate Image Finder, use the Add/Remove Programs icon in Windows Control Panel (usually it can be reached via Start menu -> Settings). Please refer to Windows Help for details. You must exit Visual Similarity Duplicate Image Finder before attempting to uninstall the software. Otherwise, some files may remain in your system.


What's New

Version 6.0.0.1:

  • Added: New compare method "Compare EXIF Tag". (only in Pro version)
  • Added: Multi Preview tab. Now you can preview all duplicates in a group at once. By using mouse wheel you can increase preview thumb size.
  • Added: EXIF grid is by default sorted by Tag name.
  • Added: Images orientation in preview is now automatically adjusted by reading EXIF data.
  • Added: Support for DICOM tags. (only in Corporate version)
  • Fixed: Loading projects where decimal separator is different from the current locale decimal separator.
  • Fixed: Moving files from UNC paths like \\Server\Path\
  • Fixed: Similarity level can be set to 100% using the mouse wheel or spin-edit buttons. (was possible only by entering it manually)
  • Fixed: Order of duplicate groups is preserved on load/save.

Version 5.6.0.1:

  • In Filter dialog added option to filter folders by name
  • Clicking on the folders grid header icons now checks/unchecks all folders
  • Browse for folder dialog is updated so if no folders are checked - the currently selected folder is added
  • If delete/move file operation failed, hex error code is shown in the log
  • Added checkbox "Zoom To Fit" in the large preview window

Version 5.5.0.1:

  • Added option to Keep Folder Structure while moving files. In the previous versions it was allways ON
  • Fixed rare issue where the last couple of files could be skipped by the scanning process

Version 5.4.0.1:

  • Improved multithread performance
  • Fixed Default cache name issue when using different precission levels
  • Fixed cursor in pause mode

Version 5.3.0.1:

  • Added Compare Folders menu (Only in Pro and Corporate version)
  • Improved columns sorting
  • Faster detection of rotated/flipped duplicate images
  • Fixed loading older projects

Version 5.2.0.1:

  • Added option "Move/delete sidecar files together with images"
  • Fixed Pause/Resume functionality and missing icon.
  • Fixed exclude and auto-check states on project reload.
  • After scan: Save project and shutdown/log off/etc. now works in DEMO version.
  • New project reuses cache settings from the current project.
  • Cache "Default" is used if no previous cache setting exist.

Version 5.0.0.2:

  • Fixed move operation under Windows 8
  • Added delete/move error codes

Version 5.0.0.1:

  • Added support for Unicode file names
  • Comparing phase is now multithreaded, so it will be 2x, 4x, 8x, etc. faster depending on how many CPU cores you have
  • Added information window, showing EXIF information of the image if available
  • Added option to select newer files in auto-check
  • Fixed - preview of first image in group updated on sort
  • Improved folders list - added display of the Exclude From Auto-check and Exclude From Self-scan features
  • Other small GUI fixes and enhancements.

Version 4.8.0.1:

  • Improved RAW images processing speed up to 80%
  • Added .kdc, .srw, .bay, .3fr, .k25, .cam, .nrw, .mos, .dc2, .rw1, .rwl as recognizable RAW files extensions
  • Fixed some issues when scanning NEF files
  • You can now add folders by using drag&drop from the windows explorer
  • Improved "Browse for Folders" dialog, scans faster folders with many files
  • Other small GUI fixes and enhancements. New 32-bit toolbar icons.

Version 4.7.0.1:

  • Greatly improved cache speed by introducing new cache file format. Old cache files are not supported.
  • In Filter dialog added option to include or exclude the matched files from scanning
  • In Quick Check added new button "Check All Except First in Group"
  • Added new option "Show warning if all files in a group are marked for deleting"
  • Faster loading of large projects
  • Enhanced "Browse for Folders" dialog
  • Other small GUI fixes and enhancements

Version 4.2.0.1:

  • Added support for symbolic links in Windows 7
  • Added options to set each column auto-size attribute
  • Added new option to set the cache folder location.
  • Fixed some issues with column sizing and splitter
  • Enhanced Move/Delete files window
  • The program will check for Recycle Bin size and show a warning if you want to delete the files to Recycle Bin and there is not enough space available
  • The program can delete read-only files
  • Other small bug fixes and GUI improvements.

Version 4.0.0.1:

  • Added Pause/Resume functionality
  • Added Quick Check/Uncheck functionality, which allows you to check/uncheck files by their folder, extension, file size, file date, etc.
  • You can now add/remove multiple folders at once in the filter dialog.
  • Added new option "Quick load images", which was until now always on. If you have some strange results showing absolutely different images as duplicates, then turn this option off.
  • Enhanced DICOM images support.
  • Other small bug fixes and GUI improvements.

Version 3.8.0.1:

  • Added HDPhoto files support (*.hdp; *.wdp; *.jxr) (Only in Pro and Corporate version)
  • You can now add multiple folders at once using the enhanced Browse for Folder dialog.
  • Added new option "Remove from list groups containing single file after delete/move".
  • Added new option "Show user checked files in bold font".
  • Added new options tab to select which columns you want to be shown in the results grid.
  • Added warnings when unchecking a selection of images and there are user checked images.
  • Fixed Disable Folder Self-scan in Hash/Filesize/EXIF modes.
  • Fixed some bugs when moving files.
  • Other small bug fixes and GUI improvements.

Version 3.5.0.1:

  • Added DICOM files support (*.dcm) (Only in Corporate version)
  • Added filter files functionality, so you can exclude files or folders from scanning (Only in Pro and Corporate versions)
  • Added option "Delete empty folders" (Only in Pro and Corporate versions)
  • Added grid popup menu item Properties which shows windows explorer file properties window.
  • Added grid popup menu item "Check All Except Excluded" which will check all files except the excluded ones from the Advanced dialog in Auto-check options or files which folder was disabled for auto-check
  • Popup menu "Disable self-Scan For This Folder" is now available in the Pro version too
  • A lot faster "100% Identical Files" method
  • A lot faster Check Selected/Invert Selection/Uncheck All when there are a lot of files in the duplicates list
  • There are now two separate columns for File Name and Folder
  • Fixed logging under Windows Vista/7
  • Fixed auto-check when there are folders disabled for auto-check
  • About 10% faster "preprocessing images" step on older 1-core processors.
  • Owners of the corporate version of the program can register it using command-line parameters. See command-line help for details.
  • Updated internal imaging and RAW images libraries (added support for 25 new digital cameras)

Version 3.1.0.2:

  • Changed cache hash algorithm. Please recreate your cache files!
  • Improved auto-check algorithm.
  • Updated RAW support
  • Up to 10% speed increase when using already created cache file.
  • Command-line corporate version will use the "Advanced Compare" settings.
  • Other small fixes.

Version 3.1.0.1:

  • Added option to automatically log-off, shutdown, hibernate or stand-by the system after scan is finished.
  • The user can rename files in duplicate results list using F2 key (only in registered version).
  • Project modified status in program caption is now updated correctly.
  • Added Panasonic's RW2 raw extension support.
  • Added -cachenames command-line parameter (only in Corporate version)
  • Updated internal imaging library and dcrawlib.dll
  • Other small fixes

Version 3.0.0.1:

  • Over 50% speed increase in the comparing images pass.
  • Added new scan method "EXIF Date Time Original" which will compare only the EXIF timestamp of the photos and group them according to the time difference in seconds set by the user.
  • Added option to show user checked files in a different (blended green) color.
  • Added line nubmers in duplicate results grid.
  • Ctrl+K checks selected files (also available as a popup menu)
  • Ctrl+U unchecks selected files (also available as a popup menu)
  • Ctrl+I inverts the checked status of the selected files (also available as a popup menu)
  • Ctrl+A selects all files in the list
  • Left and Right arrow keys can now be used to navigate in the big preview window.
  • Enter and 'C' key now checks/unchecks the duplicate in the big preview window.
  • Faster loading big projects and faster auto check.
  • User can adjust similarity using the new floating point spin edit to 95.1%, 95.2%, etc.
  • New project file format over 50% smaller from the current one.
  • Better handling of files over 2GB.
  • Fixed: The program halts when the user try to move duplicate images and there is not enough free space on target device.
  • Other small GUI fixes and enhancements.

Version 2.6.0.2:

  • About 10-15% speed increase in the comparing images step.
  • Fixed loading file names containing characters from the current "Language for non-Unicode programs".
  • Fixed floating point operation error on some white images.
  • Fixed Corporate version now doesn't show main window after command-line scan.
  • Fixed preview of 32-bit and 48-bit images.
  • Other small fixes and changes.
  • Updated RAW images processing libraries.

Version 2.6.0.1:

  • Added auto check advanced settings. You can adjust which files you don't want to be auto checked.
  • Added "Add Folder" toolbar button.
  • Added "Delete" popup menu on the results grid.
  • Added: On new project VSDIF shows automatically Browse for Folder dialog.
  • Fixed: Memory leak on loading RAW images.
  • Fixed: VSDIF reported incorrect sizes on some RAW images.

Version 2.5.0.1:

  • Added support for RAW digital photos (only in Pro and Corporate versions). See the supported digital cameras list here.You can use the DEMO version to try this new feature.
  • Added "Search For Images" functionality.
  • Preview window is moved under the duplicates list and shows two images at the same time. When ALT is pressed the selected image is shown in the left preview image window otherwise it is shown in the right preview window.
  • Corporate version is now multithreaded. Also it accepts only one file list as a parameter. See help for details.
  • Added option "Load last project on program startup".
  • Added auto check option "Images with older file dates".
  • Up to 10% speed increase in the "Preprocessing images..." step.
  • Up to 5% additional speed increase if using "No Cache" option.
  • Fixed/improved tray icon main form restore functionality.
  • Fixed: Total checked duplicate size in KB is not updated after using Auto Check/Uncheck All. Now the total number of checked files is shown too.
  • Fixed: In some occasions the duplicates list was cleared after the user deleted/moved some files.
  • Fixed: Incorrect width and height of some JPEG files which could lead to improper automark for some images.
  • Fixed: Some duplicates were missed from the scanning engine and were not added to groups with 3 or more duplicates.

Version 2.1.0.1:

  • Fixed Abort scan during building files list.
  • Fixed duplicates checked state after loading a project.
  • Folders list is correctly filled after loading a project.

Version 2.1.0.0:

  • Added "No Cache" option, faster than "New Cache" on a not-scanned yet folder. See main screen help for details.
  • Preview speed was greatly improved.
  • New grid window showing file type icon in front of the file name and colored similarity progress bar.
  • Improved duplicate documents detection when using autoskew.
  • Fixed incorrectly detecting some very small images as duplicates.
  • Better handling of corrupt images.
  • Grid columns can now be sorted keeping the group order.
  • Grid column settings are stored to registry and loaded on next program startup.
  • Delete to Recycle Bin and last used cache method settings are now correctly stored to registry.
  • Improved "Disable Auto Mark For This Folder" functionality.
  • Fixed CRC32 and FileSize methods.
  • Improved stability, lowered memory and system resources usage.
  • Default priority method was changed to Lower, so you can continue your work while scanning images in background.
  • Internal preview window is also shown on double clicking the small preview window or by pressing Enter in the duplicates list.
  • Other small fixes and changes.

Version 2.0.0.1:

  • Speed increase over 100 times! VSDIF is now the fastest duplicate images finder available.
  • Support for multi-core CPU. VSDIF now uses all your CPU cores in the images preprocessing step.
  • Completely rewritten and highly optimized engine. Can scan over 10000 hi-res images on an average 1.8Ghz desktop PC within 10 minutes!
  • 8 times smaller cache file sizes. VSDIF now uses less hard disk space.
  • New redesigned user interface shows all duplicate groups in different colors in one grid window.
  • Access to some of the options directly from the main window.
  • Using Delete key in folder list removes the selected folders from the list.
  • Added popup menu in the duplicate results grid with items Open, Open with Associated Program and Locate in Explorer (Available only in the registered version).
  • Added Auto Select tool button.
  • Added button to delete a cache file
  • Using Delete key in the duplicates list, after a confirmation dialog you can delete all selected files from the list and from the disk. (Available only in the Registered version). Note the difference between selected and checked duplicates.

Version 1.9.0.1:

  • Fixed slowdowns in retreiving image information phase when comparing a lot of images.
  • VSDIF is about 200% faster on small projects and it could be over 5-10 times faster on big projects.
  • New and faster database format. Old databases are not supported.
  • Removed grayscale option. VSDIF analyzes pixels intensity, so grayscale duplicates is automatically detected.

Version 1.8.0.4:

  • VSDIF no longer asks to create a database if the selected scanning method is not visual scanning.
  • Fixed MD5 scanning issue introduced in previous version.

Version 1.8.0.3:

  • VSDIF should be faster when comparing a lot of images.
  • Databases are now saved in local application data folder to be more compatible with Vista.

Version 1.8.0.2:

  • Changed the database file format. This fixes a problem adding new images to the database. You should recreate your databases.
  • Added Auto Skew detection option. Turn this option on if you want to compare images created with scanner. VSDIF will automatically rotate them.
  • Fixed changing the precision level didn't affect the scan until the program is restarted.
  • Changed the default process priority to lower. This helps you do some other work while the scan process is running.

Version 1.8.0.1:

  • Added support for custom databases with images. You can create databases to store the images information on the first scan and the next scans will use the information from the database. This speeds up a lot the process of retreiving images information and the whole scan.

Version 1.7.6.1:

  • Removed option to cache images in memory
  • Added option to select file cache location
  • Added and 7-bit grayscale TIFF files support

Version 1.7.5.1:

  • Fixed program crash after deleting files in groups
  • Added Adobe Photoshop (*.PSD) files support
  • Added ZIP compressed TIFF files support
  • Added 16-bit grayscale PNG files support

Version 1.7.1.2:

  • Fixed not closing file handles on retreiving images information

Version 1.7.1.1:

  • Added option to store the temporary images information in the memory or on the hard disk
  • Changed the project file extension and file association in explorer to *.vsdif

Version 1.7.0.1:

  • Added non-visual methods for comparing images by: MD5 hash, CRC32 checksum and file size
  • Added option to select folder in which you can move the duplicate files
  • Added comparing method combobox and similarity spin edit in the toolbar
  • Added windows explorer shell integration for .vsd files
  • The first duplicate in group is marked with 'F' after the checkbox
  • Keyboard shortcut 'U' unchecks all duplicates in the current group
  • Keyboard shortcut 'I' shows the visual compare preview window
  • With double click or with popup menu in the folders list you can include/exclude folder from automarking duplicates in it
  • Fixed an issue not closing the file handle on manual stop the scanning process

Version 1.6.0.1:

  • You can now save/load projects (scan results)
  • Added option to auto mark duplicates with smaller file sizes regardless of their dimensions
  • Added option to detect negative duplicates
  • You can sort the duplicate list by columns
  • Duplicate files creation date/time is shown in the duplicates list
  • Image similarity (%) is shown in the duplicates list
  • Added resize method popup menu in the duplicate preview windows. Available methods are: None, Triangle, Hermite, Bell, BSpline, Lanczos3, Mitchell, Nearest, Linear, Fast Linear, Bilinear, Bicubic
  • Added Zoom In/Zoom Out in the preview window
  • Added button Delete Marked In Group which deletes the selected images in the current duplicate group only
  • When deleting duplicate files a progress form is shown.
  • Added option to minimize the main window to the system tray.
  • Added forward/backward navigation for the duplicate groups while in duplicate images list. The keys are "Left Arrow" or "B" for backward and "Right Arrow" or "F" for forward
  • Minor GUI changes. Changed some labels text. Updated help and internal image engine.
  • Fixed maximized main window position and state loading problem.

Version 1.3.0.1:

  • Added option to pefrorm smart image comparing using grayscale. It is now possible to detect grayscale duplicates of images.
  • Added option to select the duplicate finding process precision level. See help for details
  • Tweaked memory usage. Now the program uses up to 50% less memory when comparing images. This fixes some issues comparing large number of image files.
  • The image comparing process is now executed in a separate thread, thus avoiding GUI lockups.
  • Code cleanup and optimization. The scanning process is about 5-10% faster.
  • Tweaked again the auto select duplicate routine.
  • Fixed loading images with extensions that differ from the actual image format, e.g. the extension is .jpg, but the file is in BMP format.
  • The folder list is autosaved and autoloaded on next startup.
  • The last folder from Add Folder dialog is autosaved and autoloaded on next startup.
  • Program window position and state is autosaved and autoloaded on next startup.
  • Minor GUI changes. Updated help.
Version 1.2.0.1:
  • Changed user interface, so you can choose more than one folder to scan.
  • Main window is resizable and adjustable with splitters.
  • Preview window is resizable.
  • Scanning progress is shown in the program titlebar.
  • Added command-line options (only in Corporate version)
  • Added options to pefrorm smart image comparing using Rotate 90, Rotate 180, Rotate 270, Flip Horizontal and Flip Vertical methods.
  • The scanning process is up to 20% faster on JPG files.
  • Added option to set the scanning process priority.
  • The default scanning process priority is now "Below Normal".
  • Added option to scan sub folders (in version 1.0.0.0 it was always ON).
  • Rewritten the auto select duplicate routine.
  • Fixed not loading file types settings on startup.

Version 1.0.0.0:

  • First public release.


Demo Limitations
The DEMO version of Visual Similarity Duplicate Image Finder is not trial, but with the following limitations:

  • Only the first 10 duplicate groups will be shown after the scan.
  • You can not delete or move the selected duplicate images using Move or Delete Selected buttons.
  • You can not use Rename, Open with Associated Program and Locate in Explorer popup menu items.
  • You can not use Filter files and folders functionality.
  • You can not Save/Load projects.

    Note: This limitations apply only on the DEMO version of Visual Similarity Duplicate Image Finder. If you order the FULL version, all features will be available.


Main Screen

Folders Add Folder
Press Add Folder to add folders to scan. If the option "Scan subfolders" is checked then all subfolders of the added folders will be scanned too

Remove Folder
Press Remove Folder to remove the selected folder from the list
Scan
 There are two types of scanning methods - visual and non-visual (Hash, File Size). Visual is the slowest method and File Size is the fastest, but since it is non-visual the images may not be the same. The Hash method ensure that the image files will be absolutely the same. The visual method include advanced options to detect rotated, flipped and/or grayscaled images.

Select the "Method" you want to use for scanning for duplicates.
- "Visual Compare" will compare the images visually so images with different resolutions and/or colors could be found as duplicates.
- "Hash" method allows you to find only 100% binary equal images.
- "File Size" method will find duplicates with equal file sizes.
- "EXIF Date Time Original" method will find duplicates which files include EXIF information and the EXIF Date Time Original parameter have smaller or equal difference than the specified in seconds one.
- "Compare EXIF Tag" method compares EXIF Tag values (if exists) by using string similarity percentage specified in Similarity ratio edit

Enter the minimum image "Similarity" in % to consider the images as duplicates. The default similarity value is 95%.
Note: Similarity value is used only when the selected method is "Visual Compare".

You can choose between using or no a cache file.
On a not scanned yet folder selecting "<No Cache>" is faster than building a "<New Cache>". But if you've already scanned that folder and created a cache file, using that cache file will be faster than "No Cache" option.
So use "No Cache" option if you want to quick "scan and forget" a folder. But if you plan to scan repeatedly the same folder it is recommended (and faster) to create and use cache file.

If you've added a lot of files to be processed you can adjust what action should the program take when the scan is finished. Adjust After scan option if you want to "Save project and logoff", "Save project and stand-by", "Save project and hibernate"or "Save project and shutdown". The project will be automatically saved in <My Documents>\AutoSave.vsdif

Start Scan
Press Start Scan to start searching for duplicates.
Auto Check Images with smaller dimensions
If this option is checked the duplicate images with smaller dimensions from the same group of duplicates will be checked automatically for deletion. It is recommended this option to be checked.

Images with smaller files sizes if dimensions are equal
If all duplicates in the same group have equal dimensions use this option to automatically mark the smaller files. They will probably have lower quality and it is supposed that you want to keep the image with the highest quality.It is recommended this option to be checked.

Images with smaller files sizes regardless of dimensions
If this option is checked the duplicates with smaller file sizes will be automatically marked. The options Images with smaller dimensions and Images with smaller files sizes if dimensions are equal will be unchecked since they have no effect in this case.

Images with older file dates
If this option is checked the duplicates with older file dates will be automatically marked. The other three auto check options have no effect in this case

Auto Check
Press this button to automatically check the appropriate duplicates regarding the options you've checked above the button

Uncheck All
This will uncheck all selected duplicates from the list

Advanced...
Press this button if you want to exclude some files from being auto checked. You can adjust which file extensions, file sizes, file dates and/or names you don't want to be auto checked.

After Scan Actions Move Checked Files
Press this button to move all checked duplicates in the selected folder above the button. Moved files maintain the same source folder structure, e.g. if you move file "C:\Pics\1\pic.jpg" to folder "C:\Duplicates", the file will be moved to "C:\Duplicates\1\pic.jpg"

Delete Checked Files
Press this button to delete all checked duplicates permanently or move them to the Recycle Bin if "Delete files to Recycle Bin" option is turned on. If you check the option Delete Empty Folders all folders which are empty after duplicate files were deleted from them will be deleted too.

Keyboard Shortcuts:

In main window:

In duplicates list: Left Arrow or 'B' - selects previous duplicate group
In duplicates list: Right Arrow or 'F' - selects next duplicate group
Enter key - shows visual compare preview window
'U' - uncheck all duplicates from the current group
Delete Key - After a confirmation dialog deletes all selected files from the list and from the disk. (Available only in the Registered version)
You can select files from the duplicates list using mouse and Ctrl/Shift keys
Ctrl+K - checks selected duplicates
Ctrl+U - unchecks selected duplicates
Ctrl+I - invert the checked status of the selected duplicates
Ctrl+E - checks all files except the excluded ones either from advanced auto-check options or file which folder is disabled for auto-check

In preview window:
Left Arrow or 'Page Up' - selects previous duplicate
Right Arrow or 'Page Down' - selects next duplicate
Enter or 'C' - checks/unchecks the selected duplicate


Search For Images

Press Add button to add one or more images that you want to search for. Clicking on Remove button just removes the selected image(s) from the list.
Clear List clears the entire sample images list.
When you're ready press the Search button and the program will search for similar images of the samples you provide.


Filter

Filter settings allow you to include or exclude files or folders from the scanning process. This functionality is available only in Visual Similarity Duplicate Image Finder Pro.

Don't scan folders
Add folders which you do not want to scan. This option is useful if you want to scan folder recursively, but don't want to scan some of the folders inside it..

Don't scan files with extensions
Add here the files extensions you don't want to scan. All extensions must be in the format *.ext, e.g. start with *. For example *.tif, *.psd

Don't scan files with
You can adjust whichfile sizes, file dates and/or names you don't want to be scanned at all for duplicates.


Quick Check/Uncheck

Quick Check

Quick Check/Uncheck dialog allow you to check/uncheck files based on their folder, extention, file size, file date or file name.

Check files in the following folders
This option is useful if you want to quick check/uncheck all images in some folders(s) and their subfolders.

Check files with extensions
Add here the file extensions, so images having these file extensions will be checked.

Check files with
You can adjust which file sizes, file dates and/or names, so images having these properties will be checked.


Options

Minimize to system tray
Check this option if you want the program minimized to the system tray when you click the minimize button.

Load last project on program startup
If this option is checked the last used project will be automatically loaded on the next program startup.

Show user checked files in different color
If this option is checked the user checked files will be shown in a blended green color.

Show user checked files in bold font
If this option is checked the user checked files will be shown using bold font.

Remove from list groups containing single file after delete/move
If this option is checked groups containing only one file after you delete or move files will be removed from the list (no files will be deleted)

Show warning if all files in a group are marked upon delete/move
If this option is checked you will be warned if all files in a group are marked

Process priority
Select the process priority of the duplicate scanning. It is good to set it Lowest or even to Idle if you want to do some other heavy tasks during the scanning process. The recommended value is Normal.

Enable logging
Check this option only if you have troubleshooting with the program. If checked, during the scan process the program will create a file VSDIF_Log.txt in My Documents folder.

Quick load images
When this option is checked the images will be loaded faster. If you encounter having situation with completely different images grouped as duplicates then uncheck this option.

Move/delete sidecar files together with images
If this option is checked you can add | delimited list of file extensions. For example .xmp|.exf
When you move/delete files from VSDIF, files with the same name, but having the sidecar file extension will be moved/deleted too.
For example if you delete file Image1.jpg then files Image1.xmp and Image1.exf will be deleted too

Advanced Compare
You can set advanced compring options for comparing images, e.g. if you want to find rotated and/or flipped image duplicates you should check the appropriate options. Auto skew detection is recommended only if you want to compare scanned documents. It will automatically rotate the scanned images and thus increase the image similarity percentage.

Precision Level
Select the precision level which the program will use while scanning for images. Higher precision levels are slower but duplicate matching is more precise.

File Types
In this page you can choose which file types you want to include in the duplicates search process. At least one file type must be selected.

Note: RAW digital camera photos and HDPhoto images are only supported only in Pro and Corporate versions of this software. DICOM images are supported only in the Corporate version

Visible Columns
Check che columns you want to see in the result grid. You can also adjust which columns you want to be auto-sized when you resize the program window.


Command-line Parameters

Command-Line Parameters Usage: (Available only in Corporate Version)

DupImageFinder.exe -src_list <srclistfilename> -target_list <targetfilename> -log <logfilename> -s <similarity> -db <dbfilename> -p

-src_list <srclistfilename> - specifies a plain text file which contains image file names that you want to compare against <targetfilename> files
-target_list <targetfilename> - specifies a plain text file which contains image file names that you want to compare against <srclistfilename> files. If this parameter is ommited only the files inside <srclistfilename> will be compared against each other.

Note (new in version 2.5.0.1): if you omit -target_list parameter only -src_list files will be scanned

-log <logfilename> - specifies full path file name where the log from the comparison will be saved, e.g. c:\log.txt
-s <similarity> - specifies a similarity in percents. Example: -s 95
-db <dbfilename> - specifies the images cache file name without extention to be used or created. (see example below) ( "c:\any folder\cachefilename" )
-p - if this option is set then after scanning the project is auto-saved in the same folder as the log file

The command line parameters that are in bold are mandatory!

Information regarding errors and incorrect input can be found in the log file which is named "VSDIF_Log.txt" and generated in the "Documents" folder for the current user.

Starting from version 3.5.0.1 you could register the program using these command-line parameters:

-regname - specify your registration user name
-regcode - specify your registration code

Note: Cache files store images information gathered during the preprocessing pass (1st pass) of the scanning process. So if you often scan the same images, using cache file speeds up the preprocessing pass significantly.
You don't need to create the cache file. Just specify it as a parameter and the program will create it. If a cache file from previous scan exists the program will use it.

Example: DupImageFinder.exe -src_list "c:\src.txt" -target_list "c:\target.txt" -log "c:\log.txt" -s 95 -db "c:\cachefolder\cachename"

If you are using the FULL Corporate version you should run DupImageFinderDP.exe in order to use the command line parameters, if you are evaluating the DEMO then you should use DupImageFinder.exe as displayed in the example above.

This will find all images with similarity >= 95% and save their file names and similarity in c:\log.txt file

Note: If some of the parameters contain spaces, you must enclose them in double quotes. Example: -src_list "c:\program files\images.txt"

Sample src.txt and target.txt file contents:

C:\Pics\Christmas Wallpapers\'Tis the Season.jpg
C:\Pics\Christmas Wallpapers\038.jpg
C:\Pics\Christmas Wallpapers\0ih24vu5.jpg
C:\Pics\Christmas Wallpapers\0rtnxafs.jpg
C:\Pics\Christmas Wallpapers\1.jpg
C:\Pics\Christmas Wallpapers\10.jpg
C:\Pics\Christmas Wallpapers\100.jpg
C:\Pics\Christmas Wallpapers\101.jpg
C:\Pics\Christmas Wallpapers\102.jpg
C:\Pics\Christmas Wallpapers\103.jpg
C:\Pics\Christmas Wallpapers\104.jpg

Sample log.txt file contents:

* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\'Tis the Season.jpg
*** DUPLICATE 1 (SIMILARITY 98) *** : C:\Pics\Christmas Wallpapers\119.jpg
* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\0rtnxafs.jpg
*** DUPLICATE 1 (SIMILARITY 100) *** : C:\Pics\Christmas Wallpapers\20160.jpg
* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\10.jpg
*** DUPLICATE 1 (SIMILARITY 99) *** : C:\Pics\Christmas Wallpapers\Arc de Triomphe, Paris, France.jpg
* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\100.jpg
*** DUPLICATE 1 (SIMILARITY 96) *** : C:\Pics\Christmas Wallpapers\Santa's Helpers.jpg
* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\1.jpg
*** DUPLICATE 1 (SIMILARITY 100) *** : C:\Pics\Christmas Wallpapers\20162.jpg
* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\101.jpg
*** DUPLICATE 1 (SIMILARITY 95) *** : C:\Pics\Christmas Wallpapers\Santa's Treats.jpg
* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\102.jpg
*** DUPLICATE 1 (SIMILARITY 99) *** : C:\Pics\Christmas Wallpapers\Santa's Workshop.jpg
* DUPLICATES OF SOURCE IMAGE * : C:\Pics\Christmas Wallpapers\103.jpg
*** DUPLICATE 1 (SIMILARITY 98) *** : C:\Pics\Christmas Wallpapers\Schonbrunn Palace, Vienna, Austria.jpg


How To Find Duplicate Picutres

How To Find Duplicate Images

Start the program. The main window will appear.

Find Duplicate Images
photo compare

1) Add folder(s) that you want to scan using "Add Folder" button (1)
Note: You can disable scanning a folder if you double click on the folder name. This is useful if you want to recursively scan a folder, but you want not to scan some folders inside
2) Check the first column in the folders grid on the folders that you want to be excluded from the Auto-check functionality (2). Check the second column if you want to disable folder from scanning for duplicates inside itself. (The second option is available only in Pro and Corporate versions of the program)
3) Select "Visual Compare" method from the drop down list (3).
Note: "CRC32 Checksum" method do not scan images for visual similarity. Using this method you can find only 100% binary equal images. "File Size" method will find duplicates with equal file sizes.
4) Adjust the "Similarity" spin button with the desired value (4). The default similarity value is 95%.
Note: Similarity value is used only when the selected method is "Visual Compare".
5) Select "<New Cache>" from "Cache" drop down list (5) or existing cache if you have previously created one.
Note: Using image cache files speeds up the first phase of the scanning process. It is recommended to use new cache only on folders you still didn't scan.
inside the selected folder.
6) Before starting the scan process you can exclude different files or folders by using the Filter tool button (6)

Filter Images
search duplicate photos

The settings shown in the example will adjust the filter so files from C:\My Documents\ folder, files having PSD or TIF extension and files smaller than 50 bytes won't be scanned.
7) Press "Start Scan" button (7)

After the scanning process is finished the following screen will appear:

Duplicate Images Result
find similar images

Duplicate images are grouped in groups with different color. Depending on the "Auto Check" settings, the program can automatically check the smaller images in every duplicate group. If you have un/checked some duplicates by hand, you can always use "Auto Check " button (1) or you can use the "Quick Check" tool button (2) to check the images by various criteria.

Quick Check Duplicate Images
find similar images

By using "Quick Check" and the settings in the above dialog all PSD images in C:\CD\ folder and all images smaller than 500 bytes will be checked.

You can always use the preview images tab to compare the images by yourself and then check the image you want to delete.

Duplicate Images Preview
find duplicate pictures

Duplicate Images Multi Preview

After checking which files you want to move or delete press "Move Checked Files" (3) or "Delete Checked Files" button (4)

You can delete the checked files to the Recycle Bin if you checked "Delete files to Recycle Bin" option. Otherwise the files will be deleted permanently.
You can move the checked files to a custom folder if you adjust "Move checked files to ..." option selecting the destination folder. Duplicates folder structure will be maintained in the selected folder.

From this version the duplicates list supports multiple selection and you can select files using mouse and Ctrl/Shift keys. Note the difference between checked and selected files. You can then delete the selected files from the list and from the hard disk using the Delete key.


How To Order
Registration of Visual Similarity Duplicate Image Finder is only $24.95 USD (per license).
For Corporate version please contact us.

Visual Similarity Duplicate Image Finder can be registered at http://www.mindgems.com

You may use the following credit card type to order:

Visa - MasterCard - American - Express - Discover - Eurocard

Detail Prices

License Type | Price Per Unit | Discount
Single User License | US$24.95 | 0%
2 Users License | US$20.95 | 16%
5 Users License | US$17.95 | 29%
10 Users License | US$14.95 | 40%
20 Users License | US$11.95 | 52%
50 Users License | US$9.95 | 60%
Corporate/Site License | US$499.95 |

Detail Prices (Pro Version)

License Type | Price Per Unit | Discount
Single User License | US$39.95 | 0%
2 Users License | US$31.95 | 20%
5 Users License | US$27.95 | 30%
10 Users License | US$23.95 | 40%
20 Users License | US$19.95 | 50%
50 Users License | US$15.95 | 60%

If you are part of a business and wish to use several copies of this product within your company, greatly reduced site licensing rates are also available. For more information please contact our sales department at support@mindgems.com

To purchase the product, please visit Registration section of our Web site at http://www.mindgems.com. After purchasing you will receive a registration name and number via email.


How To Register
After you order Visual Similarity Duplicate Image Finder you will get the FULL version of the product and also a registration name and a registration number from us.

Enter your registration information following these steps:

  • Run Visual Similarity Duplicate Image Finder
  • A registration dialog box will appear before the main window.
  • Copy and paste the registration information from the registration e-mail that was sent to you. If you do not receive your registration e-mail within 1 hour after your payment is confirmed please check your SPAM/JUNK folders.

    • IMPORTANT: Please copy and paste the registration name and registration number to the registration dialog and DON'T type it manually because it's difficult to distinguish the letter "l" (lower case of "L") from "1" (one) and "o" from "0" (zero), etc.

  • Press the "Register" button.

    • After the registration information is accepted, you can use the whole functionality of Visual Similarity Duplicate Image Finder without any restrictions.

    If you have any problem, please fell free to contact us by sending e-mail to: support@mindgems.com


Why To Register?

Why Should I Register?
For many people, the most pressing reason to register is to get rid of the annoying nag box which pops up at the most inconvenient times.

But besides this, registration entitles you to receive technical support and minor upgrades to the software for free. We will also send you information bulletins by email to let you know about what's happening with our products.

See Demo Limitations page for information regarding the limitations of this demo version of MindGems Duplicate Image Finder.

Finally, by registering the software, you provide us with the resources and incentive to support the software with updates and to develop additional quality products in the future.


EULA

End User License Agreement
Visual Similarity Duplicate Image Finder For Windows 8.1/8/7/Vista/XP/2000/ME/98

Copyright (C) 2004-2015 MindGems, Inc. All Rights Reserved.

By receiving and/or using Visual Similarity Duplicate Image Finder, you accept the following Evaluation and Registered User Agreement. This agreement is a binding legal agreement between MindGems and the purchasers, users or evaluators of Visual Similarity Duplicate Image Finder.If you do not intend to honor this agreement, remove installed Visual Similarity Duplicate Image Finder from your computer.

Evaluation (Unregistered) and Registered User Agreement

1. Unregistered shareware use
You may evaluate the Shareware program for maximum of 15 days, after which you must register the program or remove the software from your computer. You may allow other users to evaluate copies of the unregistered Shareware. All evaluation users are subject to the terms of this agreement.

2. Usage and distribution restrictions
The evaluator/user/buyer/owner may not use or distribute Visual Similarity Duplicate Image Finder for any unlawful purpose. The evaluator/user/buyer/owner is not allowed to attempt to reverse engineer, disassemble or de-compile Visual Similarity Duplicate Image Finder and products.

2.1. Usage and distribution restrictions (applicable only for Corporate version)

  • The License can be deployed by an unlimited number of developers, on an unlimited number of computers that belong to the Licensee.
  • The deployable version ( DupImageFinderDP.exe, dcrawlib.dll ) of the Software under this License may be incorporated into (or may be provided as components to accompany) software and hardware projects sold by the Licensee. Distribution of the non-deployable version ( DupImageFinder.exe ) of the Software is strictly prohibited.
  • The License cannot be used by the Licensee to develop a software application that would compete with products marketed by the Licensor. (e.g. Image organizer, Duplicate Image finder, Similar Image search etc.)
  • Software projects, sold by the Licensee, with incorporated version of the Software product, provided by the Licensor, do not require registration in user mode. Customers do not have to pay any additional fees upon purchasing or obtaining products the Licensee incorporated the Licensor's technology into.
  • The License is royalty-free, i.e. the Licensee does not need to pay a fee per every order of his product he incorporates the Licensor's technology into.
  • A link to MindGems Inc. should be provided by the Licensee on his web site's partners or links page using the code: Duplicate Image Finder . The link should be a "do-follow" direct link.

    • 3. Limitation of responsibility The evaluator/user/buyer/owner of Visual Similarity Duplicate Image Finder will indemnify, hold harmless, and defend MindGems against lawsuits, claims, costs associated with defense or accusations that result from the use of Visual Similarity Duplicate Image Finder.
    MindGems is not responsible for any damages whatsoever, including loss of information, interruption of business, personal injury and/or any damage or consequential damage without limitation, incurred before, during or after the use of our products.
    The sale of and or distribution of registered copies of this software is strictly forbidden. It is a violation of this agreement to loan, rent, lease, borrow, or transfer the use of registered copies of Visual Similarity Duplicate Image Finder.

    Distribution

    DISTRIBUTION OF UNREGISTERED TIMES LIMITED DEMO OF Visual Similarity Duplicate Image Finder. Provided that you verify that you are distributing the TIMES LIMITED DEMO Version you are hereby licensed to (a) make as many copies of the TIMES LIMITED DEMO version of this software and documentation as you wish; (b) give exact copies of the original TIMES LIMITED DEMO version to anyone; and (c) distribute the TIMES LIMITED DEMO version of the software and documentation in its unmodified form via electronic means.
    There is no charge for any of the above.
    DISTRIBUTION OF REGISTERED OR LICENSED VERSIONS OF Visual Similarity Duplicate Image Finder PROHIBITED. You may not, for any purpose, distribute copies of registered or licensed versions of the software , documentation or related materials to any third-parties.

    Disclaimer

    Visual Similarity Duplicate Image Finder IS PROVIDED AS IS. MindGems will in no way be responsible, in financial or any other terms, for damages (either consequential or incidental) resulting from the use or misuse of Visual Similarity Duplicate Image Finder or from following directions in this document. No warrantee as to fitness to a particular purpose is given or implied.
    Because of the wide variety of hardware and software combinations available today, it is up to the user to ensure that Visual Similarity Duplicate Image Finder functions well in his or her environment. The user must assume the entire risk of using the product.


Contact

E-mail: support@mindgems.com

Website: http://www.mindgems.com


Support
Here at MindGems Inc. we put great efforts to bring a quality service to our customers. If this help does not answer your questions please send us an e-mail describing it clearly. Please do not forget to include the product name in your e-mail message's title.

Example title of your e-mail : "I have Installation problem - Visual Similarity Duplicate Image Finder 6.0.0.1"

Also we will be very happy to improve the software in a way that suits your needs, so we will be glad to hear your ideas and improvement suggestions.

Contact us at :

support@mindgems.com

Or check for more information on our site:

http://www.mindgems.com